Download Bills URL - m3ter Documentation
Download Bills URL
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/bills/download/csv/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"externalSystem": "STANDARD"
}
'```
```python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/download/csv/url"
payload = {
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"externalSystem": "STANDARD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2019-08-24T14:15:22Z',
endDate: '2019-08-24T14:15:22Z',
externalSystem: 'STANDARD'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/download/csv/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
Success Responses
200: Returns the download URL
{ "downloadUrl": "<string>" }4XX: Error message response
{ "message": "<string>" }5XX: Error message response
{ "message": "<string>" }
Authorizations
| Field | Type | In | Required | Description |
|---|---|---|---|---|
| authorization | string | header | Yes | m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| orgId | string | Yes | The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service. |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| startDate | string |
Yes | Specifies the start date of the billing period for downloading Bills. |
| endDate | string |
Yes | Specifies the end date of the billing period for downloading Bills. |
| externalInvoiceDateStart | string |
No | (Optional). Specifies the start date in ISO 8601 format for filtering Bills by external invoice date. |
| externalInvoiceDateEnd | string |
No | (Optional). Specifies the end date in ISO 8601 format for filtering Bills by external invoice date. |
| externalSystem | enum |
Yes | Use this parameter for integration with Xero system. Available options: STANDARD, XERO. |
Response Structure
- 200: Success response structure
{
"downloadUrl": "<string>"
}
- Error response structure
{
"message": "<string>"
}